--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: gid
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: log
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: restart
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: start
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: stop
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: uid
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: WRITES_PID
  value: "[:start, :restart]"
full_name: God::Process
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: alive?
- !ruby/object:RI::MethodSummary 
  name: call_action
- !ruby/object:RI::MethodSummary 
  name: default_pid_file
- !ruby/object:RI::MethodSummary 
  name: ensure_stop
- !ruby/object:RI::MethodSummary 
  name: file_writable?
- !ruby/object:RI::MethodSummary 
  name: pid
- !ruby/object:RI::MethodSummary 
  name: pid_file
- !ruby/object:RI::MethodSummary 
  name: pid_file=
- !ruby/object:RI::MethodSummary 
  name: restart!
- !ruby/object:RI::MethodSummary 
  name: spawn
- !ruby/object:RI::MethodSummary 
  name: start!
- !ruby/object:RI::MethodSummary 
  name: stop!
- !ruby/object:RI::MethodSummary 
  name: valid?
name: Process
superclass: Object
